Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | List of all members
ranges::view::linear_distribute_fn Struct Reference
Views

## Description

Distributes `n` values linearly in the closed interval [`from`, `to`].

Precondition
  `from <= to && n > 0`

If `from == to`, returns n-times `to`. If `n == 1` returns `to`.

## Synopsis of methods
constexpr linear_distribute_fn | linear_distribute {}